MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
RefCount Class Reference

`#include <RefCount.hxx>`

## Public Member Functions
constexpr | RefCount ()
void | Increment ()
bool | Decrement ()

## Detailed Description

Definition at line 41 of file RefCount.hxx.

## Constructor & Destructor Documentation

constexpr RefCount::RefCount | ( |  | ) |
| inline

Definition at line 50 of file RefCount.hxx.

## Member Function Documentation

bool RefCount::Decrement | ( |  | ) |
| inline

Returns
  true if the number of references has been dropped to 0

Definition at line 59 of file RefCount.hxx.

void RefCount::Increment | ( |  | ) |
| inline

Definition at line 52 of file RefCount.hxx.

The documentation for this class was generated from the following file:

- util/RefCount.hxx